<?php
  $object = new Tiger();
  echo "Tygrysy maj?...<br>";
  echo "Futro: " . $object->fur . "<br>";
  echo "Paski: " . $object->stripes;

  class Wildcat
  {
    public $fur; // Dzikie koty mają futro

    function __construct()
    {
      $this->fur = "TRUE";
    }
  }

  class Tiger extends Wildcat
  {
    public $stripes; // Tygrysy mają paski

    function __construct()
    {
      parent::__construct(); // Odwołanie do konstruktora klasy nadrzędnej
      $this->stripes = "TRUE";
    }
  }
?>
